Update chef client to 14.12.9
[chef.git] / Gemfile.lock
index 0d5afd6cbf7bafcf5dcc8b3aeccacfc476a3e9c7..9ca0bd89da1b14fffb051363b91c6ffb56cf29df 100644 (file)
 GEM
   remote: https://rubygems.org/
   specs:
-    ast (2.1.0)
-    astrolabe (1.3.1)
-      parser (~> 2.2)
+    ast (2.4.0)
+    backports (3.13.0)
+    bcrypt_pbkdf (1.0.1)
+    builder (3.2.3)
+    cucumber-core (3.2.1)
+      backports (>= 3.8.0)
+      cucumber-tag_expressions (~> 1.1.0)
+      gherkin (~> 5.0)
+    cucumber-tag_expressions (1.1.1)
+    diff-lcs (1.3)
+    ed25519 (1.2.4)
     erubis (2.7.0)
-    foodcritic (4.0.0)
+    ffi (1.10.0)
+    ffi-yajl (2.3.1)
+      libyajl2 (~> 1.2)
+    foodcritic (15.1.0)
+      cucumber-core (>= 1.3, < 4.0)
       erubis
-      gherkin (~> 2.11)
-      nokogiri (~> 1.5)
+      ffi-yajl (~> 2.0)
+      nokogiri (>= 1.5, < 2.0)
       rake
       rufus-lru (~> 1.0)
       treetop (~> 1.4)
-      yajl-ruby (~> 1.1)
-    gherkin (2.12.2)
-      multi_json (~> 1.3)
-    mini_portile (0.6.2)
-    multi_json (1.11.2)
-    nokogiri (1.6.6.2)
-      mini_portile (~> 0.6.0)
-    parser (2.2.2.6)
-      ast (>= 1.1, < 3.0)
+    gherkin (5.1.0)
+    gssapi (1.2.0)
+      ffi (>= 1.0.1)
+    gyoku (1.3.1)
+      builder (>= 2.1.2)
+    httpclient (2.8.3)
+    jaro_winkler (1.5.2)
+    kitchen-vagrant (1.5.1)
+      test-kitchen (>= 1.4, < 3)
+    libyajl2 (1.2.0)
+    little-plugger (1.1.4)
+    logging (2.2.2)
+      little-plugger (~> 1.1)
+      multi_json (~> 1.10)
+    mini_portile2 (2.4.0)
+    mixlib-install (3.11.12)
+      mixlib-shellout
+      mixlib-versioning
+      thor
+    mixlib-shellout (2.4.4)
+    mixlib-versioning (1.2.7)
+    multi_json (1.13.1)
+    net-scp (2.0.0)
+      net-ssh (>= 2.6.5, < 6.0.0)
+    net-ssh (5.2.0)
+    net-ssh-gateway (2.0.0)
+      net-ssh (>= 4.0.0)
+    net-telnet (0.1.1)
+    nokogiri (1.10.3)
+      mini_portile2 (~> 2.4.0)
+    nori (2.6.0)
+    parallel (1.17.0)
+    parser (2.6.2.1)
+      ast (~> 2.4.0)
     polyglot (0.3.5)
-    powerpack (0.1.1)
-    rainbow (2.0.0)
-    rake (10.4.2)
-    rubocop (0.33.0)
-      astrolabe (~> 1.3)
-      parser (>= 2.2.2.5, < 3.0)
-      powerpack (~> 0.1)
-      rainbow (>= 1.99.1, < 3.0)
-      ruby-progressbar (~> 1.4)
-    ruby-progressbar (1.7.5)
-    rufus-lru (1.0.5)
-    treetop (1.6.3)
+    psych (3.1.0)
+    rainbow (3.0.0)
+    rake (12.3.2)
+    rspec (3.8.0)
+      rspec-core (~> 3.8.0)
+      rspec-expectations (~> 3.8.0)
+      rspec-mocks (~> 3.8.0)
+    rspec-core (3.8.0)
+      rspec-support (~> 3.8.0)
+    rspec-expectations (3.8.3)
+      diff-lcs (>= 1.2.0, < 2.0)
+      rspec-support (~> 3.8.0)
+    rspec-its (1.3.0)
+      rspec-core (>= 3.0.0)
+      rspec-expectations (>= 3.0.0)
+    rspec-mocks (3.8.0)
+      diff-lcs (>= 1.2.0, < 2.0)
+      rspec-support (~> 3.8.0)
+    rspec-support (3.8.0)
+    rubocop (0.67.2)
+      jaro_winkler (~> 1.5.1)
+      parallel (~> 1.10)
+      parser (>= 2.5, != 2.5.1.1)
+      psych (>= 3.1.0)
+      rainbow (>= 2.2.2, < 4.0)
+      ruby-progressbar (~> 1.7)
+      unicode-display_width (>= 1.4.0, < 1.6)
+    rubocop-performance (1.1.0)
+      rubocop (>= 0.67.0)
+    ruby-progressbar (1.10.0)
+    rubyntlm (0.6.2)
+    rubyzip (1.2.2)
+    rufus-lru (1.1.0)
+    serverspec (2.41.3)
+      multi_json
+      rspec (~> 3.0)
+      rspec-its
+      specinfra (~> 2.72)
+    sfl (2.3)
+    specinfra (2.77.0)
+      net-scp
+      net-ssh (>= 2.7)
+      net-telnet (= 0.1.1)
+      sfl
+    test-kitchen (2.1.0)
+      bcrypt_pbkdf (~> 1.0)
+      ed25519 (~> 1.2)
+      mixlib-install (~> 3.6)
+      mixlib-shellout (>= 1.2, < 3.0)
+      net-scp (>= 1.1, < 3.0)
+      net-ssh (>= 2.9, < 6.0)
+      net-ssh-gateway (>= 1.2, < 3.0)
+      thor (~> 0.19)
+      winrm (~> 2.0)
+      winrm-elevated (~> 1.0)
+      winrm-fs (~> 1.1)
+    thor (0.20.3)
+    treetop (1.6.10)
       polyglot (~> 0.3)
-    yajl-ruby (1.2.1)
+    unicode-display_width (1.5.0)
+    winrm (2.3.1)
+      builder (>= 2.1.2)
+      erubis (~> 2.7)
+      gssapi (~> 1.2)
+      gyoku (~> 1.0)
+      httpclient (~> 2.2, >= 2.2.0.2)
+      logging (>= 1.6.1, < 3.0)
+      nori (~> 2.0)
+      rubyntlm (~> 0.6.0, >= 0.6.1)
+    winrm-elevated (1.1.1)
+      winrm (~> 2.0)
+      winrm-fs (~> 1.0)
+    winrm-fs (1.3.2)
+      erubis (~> 2.7)
+      logging (>= 1.6.1, < 3.0)
+      rubyzip (~> 1.1)
+      winrm (~> 2.0)
 
 PLATFORMS
   ruby
 
 DEPENDENCIES
   foodcritic
+  kitchen-vagrant
   rubocop
+  rubocop-performance
+  serverspec
+  test-kitchen
+
+BUNDLED WITH
+   1.16.2